Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.enhance
Class PCDataGenerator

    java.lang.Object
      |
      +--kodo.enhance.DynamicStorageGenerator
            |
            +--kodo.enhance.PCDataGenerator

public class PCDataGenerator
extends DynamicStorageGenerator

Generates `PCDataGenerator.DynamicPCData` instances which avoid primitve wrappers to optimize memory use and performance at the cost of slightly higher startup time.

Since:
  3.2

Inner Class Summary
`static interface` | `PCDataGenerator.DynamicPCData` Dynamic `PCData`s generated will implement this interface to simplify initialization.

Field Summary
`protected static String` | `POSTFIX`

Fields inherited from class kodo.enhance.DynamicStorageGenerator
`POLICY_EMPTY, POLICY_EXCEPTION, POLICY_SILENT, PREFIX, TYPES, WRAPPERS`

Constructor Summary
`PCDataGenerator(JDOConfiguration conf)`

Method Summary
`void` | `addFieldImplMethods(serp.bytecode.BCClass bc, ClassMetaData meta)`
`void` | `addImplMethods(serp.bytecode.BCClass bc, ClassMetaData meta)`
`static void` | `callAbstractPCData(serp.bytecode.BCClass bc, String name, Class retType, Class[] args)` Add method which defers to AbstractPCData.
`boolean` | `canCacheAnyFieldImpl(ClassMetaData meta)`
`protected void` | `declareClasses(serp.bytecode.BCClass bc)`
`protected void` | `decorate(serp.bytecode.BCClass bc, ClassMetaData meta)`
`protected void` | `decorate(Object obj, serp.bytecode.BCClass bc, int[] types)`
`protected void` | `finish(PCDataGenerator.DynamicPCData data, ClassMetaData meta)`
`PCData` | `generatePCData(Object oid, ClassMetaData meta)` Return a `PCDataGenerator.DynamicPCData` instance for the given scope, oid, and metadata.
`protected String` | `getClassName(Object obj)`
`JDOConfiguration` | `getConfiguration()` Return the configuration.
`protected int` | `getCreateFieldMethods(int typeCode)`
`protected String` | `getUniqueName(Class type)`
`int` | `replaceType(FieldMetaData fmd)` Return a valid `JDOTypes` constant for the given field
`boolean` | `usesCachableImplData(FieldMetaData fmd)`
`boolean` | `usesIntermediate(FieldMetaData fmd)`

Methods inherited from class kodo.enhance.DynamicStorageGenerator
`addBeanField, addObjectField, createFactory, forType, generateStorage, getFieldAccess, getFieldName, getWrapper, getWrapper, isCompatible, replaceMethod, setTarget, throwException, toStrings`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POSTFIX

    protected static final String POSTFIX

Constructor Detail

### PCDataGenerator

    public PCDataGenerator(JDOConfiguration conf)

Method Detail

### getConfiguration

    public JDOConfiguration getConfiguration()

  Return the configuration.

### getCreateFieldMethods

    protected int getCreateFieldMethods(int typeCode)

  Overrides:
    `getCreateFieldMethods` in class `DynamicStorageGenerator`

### generatePCData

    public PCData generatePCData(Object oid,
                                 ClassMetaData meta)

  Return a `PCDataGenerator.DynamicPCData` instance for the given scope, oid, and metadata.

### declareClasses

    protected void declareClasses(serp.bytecode.BCClass bc)

  Overrides:
    `declareClasses` in class `DynamicStorageGenerator`

### finish

    protected void finish(PCDataGenerator.DynamicPCData data,
                          ClassMetaData meta)

### getClassName

    protected final String getClassName(Object obj)

  Overrides:
    `getClassName` in class `DynamicStorageGenerator`

### getUniqueName

    protected String getUniqueName(Class type)

### decorate

    protected final void decorate(Object obj,
                                  serp.bytecode.BCClass bc,
                                  int[] types)

  Overrides:
    `decorate` in class `DynamicStorageGenerator`

### decorate

    protected void decorate(serp.bytecode.BCClass bc,
                            ClassMetaData meta)

### addImplMethods

    public void addImplMethods(serp.bytecode.BCClass bc,
                               ClassMetaData meta)

### addFieldImplMethods

    public void addFieldImplMethods(serp.bytecode.BCClass bc,
                                    ClassMetaData meta)

### replaceType

    public int replaceType(FieldMetaData fmd)

  Return a valid `JDOTypes` constant for the given field

### usesIntermediate

    public boolean usesIntermediate(FieldMetaData fmd)

### canCacheAnyFieldImpl

    public boolean canCacheAnyFieldImpl(ClassMetaData meta)

### usesCachableImplData

    public boolean usesCachableImplData(FieldMetaData fmd)

### callAbstractPCData

    public static void callAbstractPCData(serp.bytecode.BCClass bc,
                                          String name,
                                          Class retType,
                                          Class[] args)

  Add method which defers to AbstractPCData.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.